<?php

namespace Schaffen\Fiscal\Company\Models;

use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Company\Models\FilialTaxServiceTelecomunication;

class Tax extends Model
{
   protected $connection = 'dynamicdb';
   protected $table = "fiscal.imposto";
   protected $primaryKey = "imp_codigo";
   protected $fillable = [
      "imp_codigo",
      "imp_descricao"
   ];

   protected $keyType = 'string';

   public function FilialTaxServiceTelecomunication()
   {
      //Tabela 2 referencia 1
      return $this->hasMany(FilialTaxServiceTelecomunication::class, 'fist_fk_imp_codigo');
   }

}
